cancel
Showing results for 
Search instead for 
Did you mean: 

PHP 7.4 not working in Magento 1.9

Highlighted

PHP 7.4 not working in Magento 1.9

Hey,

 

our hosting provider gave notice that they will be switching to PHP 7.4 in the near future.

PHP 7.2 will be discontinued when the switch happens.

When we test PHP 7.4 the frontend and backend is not reachable and we get error messages.

Is there any way to fix this?

I'd rather not switch hosting provider.

 

Thanks in advance.

4 REPLIES 4
Highlighted

Re: PHP 7.4 not working in Magento 1.9

Hi @Cizmas 

 

Can you please share error message or server logs here. It may help us to solve the issue.

 

Thank you.

Highlighted

Re: PHP 7.4 not working in Magento 1.9

Hi Bhanu,
this is the message that pops up when accessing the site. For security reasons I have replaced the beginning of the paths with "..". The important stuff should still be there.
 
There has been an error processing your request. 
Cannot send headers; headers already sent in ../app/code/core/Mage/Core/functions.php, line 32
Trace: #0 ../lib/Zend/Controller/Response/Abstract.php(115): Zend_Controller_Response_Abstract->canSendHeaders(true) #1 ../code/core/Mage/Core/Model/App.php(1281): Zend_Controller_Response_Abstract->setHeader('Content-Type', 'text/html; char...') #2 ../app/code/core/Mage/Core/Controller/Varien/Front.php(80): Mage_Core_Model_App->getResponse() #3 ../app/code/core/Mage/Core/Controller/Varien/Router/Standard.php(216): Mage_Core_Controller_Varien_Front->getResponse() #4 ../app/code/core/Mage/Core/Controller/Varien/Front.php(172): Mage_Core_Controller_Varien_Router_Standard->match(Object(Mage_Core_Controller_Request_Http)) #5 ../app/code/core/Mage/Core/Model/App.php(381): Mage_Core_Controller_Varien_Front->dispatch() #6 ../app/Mage.php(686): Mage_Core_Model_App->run(Array) #7 ../index.php(104): Mage::run('', 'store') #8 {main}
Highlighted

Re: PHP 7.4 not working in Magento 1.9

I know that magento 1.9.4 will support for php7.2. Php7.2 security support will end by this year nov 2020(https://www.php.net/supported-versions.php).

For considering security aspect, planning to run magento 1.9.4 using php 7.4.

can we run magento 1.9.4 using php 7.4?

Please let me know (magento expert*).

Thanks,

https://ghdsports.org/

Highlighted

Re: PHP 7.4 not working in Magento 1.9

I am having the same problem and the things I fixed in tonuri de apel.